Gentoo Archives: gentoo-commits

From: David Seifert <soap@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/gnupg/
Date: Mon, 31 Jul 2017 18:45:18
Message-Id: 1501526629.a07dff4601a03692c787571b75a108774daeda2c.soap@gentoo
commit:     a07dff4601a03692c787571b75a108774daeda2c
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 31 18:43:49 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Jul 31 18:43:49 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a07dff46

app-crypt/gnupg: [QA] Fix various QA violations

* Sort metadata vars into canonical order
  set by skel.ebuild
* All I/O operations require '|| die'
* Repoman warnings about metadata.xml mixing
  tabs and spaces:

  metadata.warning              1
     app-crypt/gnupg/metadata.xml: inconsistent use of tabs and spaces in indentation

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 app-crypt/gnupg/gnupg-2.1.22.ebuild | 14 +++----
 app-crypt/gnupg/metadata.xml        | 73 +++++++++++++++++--------------------
 2 files changed, 41 insertions(+), 46 deletions(-)

diff --git a/app-crypt/gnupg/gnupg-2.1.22.ebuild b/app-crypt/gnupg/gnupg-2.1.22.ebuild
index 39ab6caaf11..03363e490f1 100644
--- a/app-crypt/gnupg/gnupg-2.1.22.ebuild
+++ b/app-crypt/gnupg/gnupg-2.1.22.ebuild
@@ -5,15 +5,15 @@ EAPI="6"
 
 inherit systemd toolchain-funcs
 
+MY_P="${P/_/-}"
+
 DESCRIPTION="The GNU Privacy Guard, a GPL OpenPGP implementation"
 HOMEPAGE="http://www.gnupg.org/"
-LICENSE="GPL-3"
-
-MY_P="${P/_/-}"
 SRC_URI="mirror://gnupg/gnupg/${MY_P}.tar.bz2"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
 
+LICENSE="GPL-3"
 SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
 IUSE="bzip2 doc +gnutls ldap nls readline selinux +smartcard tofu tools usb wks-server"
 
 COMMON_DEPEND_LIBS="
@@ -110,11 +110,11 @@ src_install() {
 
 	dosym gpg2 /usr/bin/gpg
 	dosym gpgv2 /usr/bin/gpgv
-	echo ".so man1/gpg2.1" > "${ED}"/usr/share/man/man1/gpg.1
-	echo ".so man1/gpgv2.1" > "${ED}"/usr/share/man/man1/gpgv.1
+	echo ".so man1/gpg2.1" > "${ED}"/usr/share/man/man1/gpg.1 || die
+	echo ".so man1/gpgv2.1" > "${ED}"/usr/share/man/man1/gpgv.1 || die
 
 	dodir /etc/env.d
-	echo "CONFIG_PROTECT=/usr/share/gnupg/qualified.txt" >> "${ED}"/etc/env.d/30gnupg
+	echo "CONFIG_PROTECT=/usr/share/gnupg/qualified.txt" >> "${ED}"/etc/env.d/30gnupg || die
 
 	use doc && dodoc doc/gnupg.html/* doc/*.png
 

diff --git a/app-crypt/gnupg/metadata.xml b/app-crypt/gnupg/metadata.xml
index afd452c2173..d9ae4079527 100644
--- a/app-crypt/gnupg/metadata.xml
+++ b/app-crypt/gnupg/metadata.xml
@@ -1,43 +1,38 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-  <maintainer type="person">
-        <email>k_f@g.o</email>
-        <name>Kristian Fiskerstrand</name>
-  </maintainer>
-  <maintainer type="project">
-    <email>crypto@g.o</email>
-    <name>Crypto</name>
-  </maintainer>
-  <longdescription>
-    GnuPG is a complete and free implementation of the OpenPGP standard as
-    defined by RFC4880.
-  </longdescription>
-  <use>
-    <flag name="smartcard">
-      Build scdaemon software. Enables usage of OpenPGP cards. For
-      other type of smartcards, try
-      <pkg>app-crypt/gnupg-pkcs11-scd</pkg>.
-      Bring in <pkg>dev-libs/libusb</pkg> as a dependency; enable
-      scdaemon.
-    </flag>
-    <flag name="usb">
-      Build direct CCID access for scdaemon; requires
-      <pkg>dev-libs/libusb</pkg>.
-    </flag>
-    <flag name="mta">
-      Build mta support using
-      <pkg>virtual/mta</pkg>.
-    </flag>
-    <flag name="tofu">
-      Enable support for Trust of First use trust model; requires
-      <pkg>dev-db/sqlite</pkg>.
-    </flag>
-    <flag name="tools">
-      Install extra tools (including gpgsplit and gpg-zip).
-    </flag>
-	<flag name="wks-server">
-	  Install the wks-server
-	</flag>
-  </use>
+	<maintainer type="person">
+		<email>k_f@g.o</email>
+		<name>Kristian Fiskerstrand</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>crypto@g.o</email>
+		<name>Crypto</name>
+	</maintainer>
+	<longdescription>
+	GnuPG is a complete and free implementation of the OpenPGP standard as
+	defined by RFC4880.
+	</longdescription>
+	<use>
+		<flag name="smartcard">
+		Build scdaemon software. Enables usage of OpenPGP cards. For
+		other type of smartcards, try <pkg>app-crypt/gnupg-pkcs11-scd</pkg>.
+		Bring in <pkg>dev-libs/libusb</pkg> as a dependency; enable scdaemon.
+		</flag>
+		<flag name="usb">
+		Build direct CCID access for scdaemon; requires <pkg>dev-libs/libusb</pkg>.
+		</flag>
+		<flag name="mta">
+		Build mta support using <pkg>virtual/mta</pkg>.
+		</flag>
+		<flag name="tofu">
+		Enable support for Trust on First use trust model; requires <pkg>dev-db/sqlite</pkg>.
+		</flag>
+		<flag name="tools">
+		Install extra tools (including gpgsplit and gpg-zip).
+		</flag>
+		<flag name="wks-server">
+		Install the wks-server
+		</flag>
+	</use>
 </pkgmetadata>